.course-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    list-style-type: none;
    padding: 0;
  }
.shopping-grid{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.course-item {
    flex-basis: 30%;
  margin: 1rem;
  padding: 1rem;
  border: 1px solid #ddd;
  border-radius: 5px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  transition: box-shadow 0.3s ease-in-out;



}

.course-img {
    width: 100%;
    margin-bottom: 1rem;
}

.course-details {
    flex: 1;
    display: flex;
    flex-direction: column;
}

.course-title {
    font-size: 1.2rem;
    margin-bottom: 0.5rem;
}

.course-description,
.course-author,
.course-price,
.course-rating,
.course-file {
    margin-bottom: 0.25rem;
}

.course-buttons {
  display: flex;
  justify-content: space-between;
}

.course-buttons button {
  flex-basis: 46%; /* adjust to your preference */
}


.shopping-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
  }
  
  .shopping-grid li {
    width: 48%;
  }

  /* Modal styles */
.modal {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
  }
  
  .modal-content {
    background-color: white;
    padding: 20px;
    border-radius: 5px;
    max-width: 500px;
    width: 90%;
  }
  
  .close {
    float: right;
    font-size: 28px;
    font-weight: bold;
    cursor: pointer;
  }
  
  .close:hover {
    color: #f00;
  }
  
  ul {
    list-style: none;
    padding: 0;
  }
  
  li {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 10px 0;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
  }
  
  li span {
    flex-grow: 1;
  }
  
  .e-learning-section {
    display: flex;
    justify-content: center;
    margin: 20px 0;
  }
  
  .e-learning-section img {
    width: 80%;
    max-width: 600px;
    height: auto;
    object-fit: contain;
  }
  
  .course-btn-add-to-cart {
    font-family: 'Roboto', sans-serif;
    font-size: 14px;
    font-weight: bold;
    text-transform: uppercase;
    color: #fff;
    background-color: #4CAF50;
    border: none;
    border-radius: 25px;
    padding: 10px 20px;
    transition: transform 0.2s ease-in-out;
  }
  
  .course-btn-add-to-cart:hover {
    transform: translateY(-3px);
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
  }
  
  .course-btn-details {
    font-family: 'Roboto', sans-serif;
    font-size: 14px;
    font-weight: bold;
    text-transform: uppercase;
    color: #fff;
    background-color: #2196F3;
    border: none;
    border-radius: 25px;
    padding: 10px 20px;
    transition: transform 0.2s ease-in-out;
  }
  
  .course-btn-details:hover {
    transform: translateY(-3px);
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    background-color: #1976D2;
  }


  /* Add this CSS to your existing styles or create a new CSS file */

/* Navigation */
.nav-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 1.5rem;
  background-color: #f9fafb;
}

.nav-container h1 {
  font-size: 1.5rem;
  font-weight: bold;
  color: #333;
}

/* Image */
img {
  width: 40%;
  height: 30%;
}

/* Course Details */
.max-w-xl {
  padding: 2rem;
  max-width: 36rem;
}

.max-w-xl h1 {
  font-size: 2rem;
  font-weight: bold;
  color: #333;
  margin-bottom: 1rem;
}

.max-w-xl p {
  font-size: 1.125rem;
  color: #666;
  margin-bottom: 2rem;
}

.max-w-xl .text-xl {
  font-size: 1.25rem;
  font-weight: bold;
  color: #333;
}

.max-w-xl .flex.items-center {
  margin-top: 2rem;
}

.max-w-xl .flex.items-center svg {
  width: 1.25rem;
  height: 1.25rem;
  fill: #f59e0b;
  margin-right: 0.25rem;
}

.max-w-xl .flex.items-center .text-yellow-400 {
  fill: #d1d5db;
}

.max-w-xl button {
  padding: 0.75rem 1.5rem;
  background-color: #3b82f6;
  color: #fff;
  border-radius: 0.25rem;
  border: none;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.delete-button {
  background-color: transparent;
  border: none;
  cursor: pointer;
  color: #333;
  transition: color 0.3s ease;
}

.delete-button:hover {
  color: #ff0000;
}





/* Responsive Styles */
@media (max-width: 768px) {
  img {
    width: 100%;
    height: auto;
  }

  .max-w-xl {
    padding: 1rem;
  }

  .max-w-xl h1 {
    font-size: 1.5rem;
  }

  .max-w-xl p {
    font-size: 1rem;
  }

  .max-w-xl .text-xl {
    font-size: 1.125rem;
  }

  .max-w-xl .flex.items-center svg {
    width: 1rem;
    height: 1rem;
  }

  .max-w-xl button {
    padding: 0.5rem 1rem;
    font-size: 0.875rem;
  }
}
